Endpointsウィジェット

セッション権限管理URLを生成する

iframeに表示するホスト型の権限管理ウィジェットのURLを返します。 保護者が以前にセッションに付与した権限を確認し、変更できます。`email` は、そのセッションを承認した保護者のものと一致している必要があります。

POST
/widget/generate-manage-session-permissions-url
AuthorizationBearer <token>

In: header

Request Body

application/json

権限管理URL生成リクエスト

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/widget/generate-manage-session-permissions-url" \  -H "Content-Type: application/json" \  -d '{    "sessionId": "b1a6482d-5242-4b4a-aa88-3fa52595a672",    "email": "parent@example.com"  }'
{  "url": "https://family.k-id.com/widget",  "shortUrl": "https://family.k-id.com/s/12345678-1234-1234-1234-123456789012?pid=42&s=qr"}